# Uses of Interface
org.eclipse.emf.cdo.transaction.CDOSavepoint

Packages that use CDOSavepoint
Package
Description
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOSavepoint in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOSavepoint
Modifier and Type
Method
Description
`CDOSavepoint[]`
CDOPushTransaction.`exportChanges(OutputStream out)`
Deprecated.
`CDOSavepoint[]`
CDOTransaction.`exportChanges(OutputStream out)`
`CDOSavepoint`
CDOPushTransaction.`getFirstSavepoint()`
Deprecated.
`CDOSavepoint`
CDOTransaction.`getFirstSavepoint()`
`CDOSavepoint`
CDOPushTransaction.`getLastSavepoint()`
Deprecated.
`CDOSavepoint`
CDOTransaction.`getLastSavepoint()`
`CDOSavepoint`
CDOSavepoint.`getNextSavepoint()`
Returns the next savepoint after this one.
`CDOSavepoint`
CDOSavepoint.`getPreviousSavepoint()`
Returns the savepoint preceding this one.
`CDOSavepoint[]`
CDOPushTransaction.`importChanges(InputStream in, boolean reconstructSavepoints)`
Deprecated.
`CDOSavepoint[]`
CDOTransaction.`importChanges(InputStream in, boolean reconstructSavepoints)`
`CDOSavepoint`
CDOPushTransaction.`setSavepoint()`
Deprecated.
`CDOSavepoint`
CDOTransaction.`setSavepoint()`
Methods in org.eclipse.emf.cdo.transaction that return types with arguments of type CDOSavepoint
Modifier and Type
Method
Description
`List<CDOSavepoint>`
CDOXASavepoint.`getSavepoints()`

## Uses of CDOSavepoint in org.eclipse.emf.spi.cdo

Subinterfaces of CDOSavepoint in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOSavepoint`
Adds transaction-internal access to the mutable segment owned by a savepoint.
Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDOSavepoint
Modifier and Type
Method
Description
`List<CDOSavepoint>`
InternalCDOXASavepoint.`getSavepoints()`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOSavepoint
Modifier and Type
Method
Description
`void`
InternalCDOXASavepoint.`setSavepoints(List<CDOSavepoint> savepoints)`